=== debian/control ===
Source: directxshadercompiler
Section: graphics
Priority: optional
Maintainer: Antoine Lassagne <antoine.lassagne@canonical.com>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13),
 debhelper-compat (= 13),
 cmake,
 python3,
 libvulkan-dev (>= 1.4.321.0),
Standards-Version: 4.7.2
Homepage: https://github.com/microsoft/DirectXShaderCompiler
Vcs-Git: https://salsa.debian.org/antoinelassagne/directxshadercompiler/
Vcs-Browser: https://salsa.debian.org/antoinelassagne/directxshadercompiler/

Package: dxc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvulkan1 (= 1.4.321.0-1)
Description: The DirectX Shader Compiler is a compiler used
 to compile High-Level Shader Language (HLSL) programs into
 SPIR-V intermediate representation

Package: dxc-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvulkan1, libvulkan-dev, spirv-headers
Recommends: llvm
Description: Development files: for the DirectX Shader
 Compiler project. The DirectX Shader Compiler is a compiler used
 to compile High-Level Shader Language (HLSL) programs into
 SPIR-V intermediate representation
