=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
			     -DHLSL_ENABLE_FIXED_VER="ON" \
			     -DHLSL_SUPPORT_QUERY_GIT_COMMIT_INFO="OFF" \
			     -DLLVM_BUILD_TOOLS="OFF" \
			     -C../cmake/caches/PredefinedParams.cmake

# Do not 'make test`
override_dh_auto_test: ;

override_dh_install:
	dh_install
	rm -v debian/dxc-dev/usr/lib/dxc/libLLVMDxilHash.a
	rm -v debian/dxc-dev/usr/lib/dxc/libLLVMDxilValidation.a
	rm -v debian/dxc-dev/usr/lib/dxc/libdxcvalidator.a
