=== debian/watch ===
Version: 5

Source: https://github.com/microsoft/DirectXShaderCompiler
Matching-Pattern: refs/tags/v@ANY_VERSION@
Git-Mode: shallow
Git-Modules: all
Mode: git
