## directxshadercompiler 1.8.2505.1+dfsg

=== debian/changelog ===
directxshadercompiler (1.8.2505.1+dfsg-1) unstable; urgency=medium

  * New release update (LP: #2127245)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Fri, 29 Aug 2025 18:09:06 +0200
