=== debian/control ===
Source: directxshadercompiler
Section: graphics
Priority: optional
Maintainer: Antoine Lassagne <antoine.lassagne@canonical.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 10),
 cmake,
 git,
 help2man,
 libvulkan-dev (>= 1.4.321.0),
 lld,
 locales,
 python3,
 spirv-headers,
 spirv-tools-dev,
 spirv-tools-headers,
Standards-Version: 4.7.2
Homepage: https://github.com/microsoft/DirectXShaderCompiler
Description: DirectX Shader Compiler
 The DirectX Shader Compiler project includes a compiler and related tools
 used to compile High-Level Shader Language (HLSL) programs into DirectX
 Intermediate Language (DXIL) representation. Applications that make use
 of DirectX for graphics, games, and computation can use it to generate
 shader programs.

Package: dxc
Architecture: amd64 arm64
Depends:
 libvulkan1 (>= 1.4.321.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: DirectX Shader Compiler
 ${source:Extended-Description}

Package: dxc-dev
Architecture: amd64 arm64
Depends:
 libvulkan-dev,
 libvulkan1,
 spirv-headers,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 llvm,
Description: Development files for the DirectX Shader Compiler
 ${source:Extended-Description}
