=== debian/tests/control ===
Tests:
 build,
Depends:
 build-essential,
 cmake,
 git,
 libvulkan-dev,
 lld,
 locales,
 ninja-build,
 python3,
 spirv-headers,
 spirv-tools-dev,
 spirv-tools-headers,
 @,
