=== debian/watch ===
--- 
+++ 
@@ -5,3 +5,5 @@
 Git-Mode: shallow
 Git-Modules: all
 Mode: git
+Repacksuffix: +dfsg
+Dversion-Mangle: s/\+dfsg$//
